# JsDoc Reference - Crypto.SHA1

Class Index | File Index

## Classes

- _global_
- Crypto
- Crypto.SHA1

# Namespace Crypto.SHA1

Defined in: sha1.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Crypto.SHA1

Method Summary
Method Attributes | Method Name and Description
--- | ---
<inner> | b64_hmac_sha1(key, data)
<inner> | b64_sha1(s)
<inner> | binb2b64(binarray)
<inner> | binb2hex(binarray)
<inner> | binb2str(bin)
<inner> | core_hmac_sha1(key, data)
<inner> | core_sha1(x, len)
<inner> | hex_hmac_sha1(key, data)
<inner> | hex_sha1(s)
<inner> | rol(num, cnt)
<inner> | safe_add(x, y)
<inner> | sha1_ft(t, b, c, d)
<inner> | sha1_kt(t)
<inner> | sha1_vm_test()
<inner> | str2binb(str)
<inner> | str_hmac_sha1(key, data)
<inner> | str_sha1(s)

Namespace Detail
Crypto.SHA1
Method Detail
<inner> b64_hmac_sha1(key, data)

Parameters:
key
data

<inner> b64_sha1(s)

Parameters:
s

<inner> binb2b64(binarray)

Parameters:
binarray

<inner> binb2hex(binarray)

Parameters:
binarray

<inner> binb2str(bin)

Parameters:
bin

<inner> core_hmac_sha1(key, data)

Parameters:
key
data

<inner> core_sha1(x, len)

Parameters:
x
len

<inner> hex_hmac_sha1(key, data)

Parameters:
key
data

<inner> hex_sha1(s)

Parameters:
s

<inner> rol(num, cnt)

Parameters:
num
cnt

<inner> safe_add(x, y)

Parameters:
x
y

<inner> sha1_ft(t, b, c, d)

Parameters:
t
b
c
d

<inner> sha1_kt(t)

Parameters:
t

<inner> sha1_vm_test()

<inner> str2binb(str)

Parameters:
str

<inner> str_hmac_sha1(key, data)

Parameters:
key
data

<inner> str_sha1(s)

Parameters:
s

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 06 2012 00:12:42 GMT+0100 (CET)